# examples/Makefile.java2d.  Generated from Makefile.java2d.in by configure.

srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}
includedir = ${prefix}/include
libdir = ${exec_prefix}/lib
pkglibdir = $(libdir)/classpath
GTK_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/X11R6/include -I/usr/local/include/cairo -I/usr/local/include/atk-1.0 -I/usr/X11R6/include/pixman-1 -I/usr/local/include -I/usr/local/include/libpng -I/usr/X11R6/include/freetype2 -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
GTK_LIBS = -L/usr/local/lib -L/usr/X11R6/lib -R/usr/X11R6/lib -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXext -lXdamage -lXfixes -latk-1.0 -lcairo -lpixman-1 -lglitz -lpng -lxcb-render-util -lxcb-render -lXrender -lxcb -lpthread-stubs -lXau -lXdmcp -lgio-2.0 -lpangoft2-1.0 -lX11 -lpango-1.0 -lfontconfig -lexpat -lfreetype -lz -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv

all: $(srcdir)/gnu/classpath/examples/java2d/bench.c $(srcdir)/gnu/classpath/examples/java2d/bench.h
	gcc -g -O0 -Wall -I$(srcdir)/gnu/classpath/examples/java2d $(GTK_CFLAGS) -L$(GTK_LIBS) \
	-o cairobench $(srcdir)/gnu/classpath/examples/java2d/bench.c

clean:
	rm -f gnu/classpath/examples/java2d/bench
